<?xml version="1.0" encoding="UTF-8"?>
<persistence xmlns="http://xmlns.jcp.org/xml/ns/persistence"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://xmlns.jcp.org/xml/ns/persistence
             http://xmlns.jcp.org/xml/ns/persistence/persistence_2_1.xsd"
	version="2.1">

	<persistence-unit name="bdtareas">
		<class>modelo.Empleado</class>
		<class>modelo.Tarea</class>
		<properties>
			<property name="jakarta.persistence.jdbc.driver" value="org.mariadb.jdbc.Driver" />
			<property name="hibernate.dialect" value="org.hibernate.dialect.MariaDBDialect" />
			<property name="jakarta.persistence.jdbc.url" value="jdbc:mariadb://192.168.56.103:3306/bdtareas" />
			<property name="jakarta.persistence.jdbc.user" value="batoi" />
			<property name="jakarta.persistence.jdbc.password" value="1234" />

			<property name="hibernate.show_sql" value="true" />
			<property name="hibernate.format_sql" value="false" />
			<property name="org.hibernate.SQL" value="DEBUG" />
			<property name="hibernate.hbm2ddl.auto" value="create" />
			
<!-- 			<property name="hibernate.mapping" value="modelo/Empleados.hbm.xml"	/> -->
<!-- 			<property name="hibernate.mapping" value="modelo/Tareas.hbm.xml" /> -->
		</properties>

	</persistence-unit>
</persistence>

<!-- Valores de hbm2ddl: -->
<!-- create: -->
<!-- Crea el esquema de la base de datos desde cero cada vez que se inicia 
	la aplicación. -->
<!-- Borra las tablas existentes si ya están definidas. -->
<!-- Útil para desarrollo y pruebas, pero no recomendado en producción. -->
<!-- create-drop: -->
<!-- Igual que create, pero además elimina las tablas al cerrar la sesión 
	de Hibernate o detener la aplicación. -->
<!-- update: -->
<!-- Actualiza el esquema de la base de datos para que coincida con las entidades 
	mapeadas, sin eliminar datos existentes. -->
<!-- Útil para desarrollo, pero hay que tener cuidado, ya que podría no detectar 
	algunos cambios o realizar actualizaciones no deseadas. -->
<!-- validate: -->
<!-- Comprueba si el esquema de la base de datos coincide con las entidades 
	mapeadas, pero no realiza ningún cambio. -->
<!-- Ideal para entornos de producción, ya que garantiza la integridad del 
	esquema. -->